summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/angstrom/build-feeds.sh8
-rwxr-xr-xcontrib/angstrom/omap3-mkcard.sh52
-rwxr-xr-xcontrib/angstrom/sort.sh4
3 files changed, 61 insertions, 3 deletions
diff --git a/contrib/angstrom/build-feeds.sh b/contrib/angstrom/build-feeds.sh
index ea869459e9..10c9d45f99 100755
--- a/contrib/angstrom/build-feeds.sh
+++ b/contrib/angstrom/build-feeds.sh
@@ -120,8 +120,9 @@ do
empathy \
epdfview \
epiphany \
- eve \
evince \
+ exalt \
+ exalt-client \
exo \
fakeroot \
fennec \
@@ -157,6 +158,7 @@ do
geda-utils \
gimp \
glider \
+ gksu \
gmp \
gmpc \
gnome-games \
@@ -191,6 +193,7 @@ do
iaimaster \
icebloxx \
imagemagick \
+ inkscape \
inkwp \
ioquake3 \
ipaq-sleep \
@@ -260,6 +263,7 @@ do
pavucontrol \
palantir \
pairs \
+ paprefs \
pciutils \
pdamaze \
perl \
@@ -299,6 +303,7 @@ do
screen \
scummvm \
sdlquake \
+ sdrshell \
sensors-applet \
setserial \
shisensho \
@@ -349,6 +354,7 @@ do
wt \
wt3 \
x11vnc \
+ xclip \
xf86-input-evdev \
xf86-input-evtouch \
xf86-input-keyboard \
diff --git a/contrib/angstrom/omap3-mkcard.sh b/contrib/angstrom/omap3-mkcard.sh
new file mode 100755
index 0000000000..dc4359c38c
--- /dev/null
+++ b/contrib/angstrom/omap3-mkcard.sh
@@ -0,0 +1,52 @@
+#! /bin/sh
+# mkcard.sh v0.4
+# (c) Copyright 2009 Graeme Gregory <dp@xora.org.uk>
+# Licensed under terms of GPLv2
+#
+# Parts of the procudure base on the work of Denys Dmytriyenko
+# http://wiki.omap.com/index.php/MMC_Boot_Format
+
+LC_ALL=C
+
+if [ $# -ne 1 ]; then
+ echo "Usage: $0 <drive>"
+ exit 1;
+fi
+
+DRIVE=$1
+
+dd if=/dev/zero of=$DRIVE bs=1024 count=1024
+
+SIZE=`fdisk -l $DRIVE | grep Disk | awk '{print $5}'`
+
+echo DISK SIZE - $SIZE bytes
+
+CYLINDERS=`echo $SIZE/255/63/512 | bc`
+
+echo CYLINDERS - $CYLINDERS
+
+{
+echo ,9,0x0C,*
+echo ,,,-
+} | sfdisk -D -H 255 -S 63 -C $CYLINDERS $DRIVE
+
+if [ -b ${DRIVE}1 ]; then
+ mkfs.vfat -F 32 -n "boot" ${DRIVE}1
+else
+ if [ -b ${DRIVE}p1 ]; then
+ mkfs.vfat -F 32 -n "boot" ${DRIVE}p1
+ else
+ echo "Cant find boot partition in /dev"
+ fi
+fi
+
+if [ -b ${DRIVE}2 ]; then
+ mke2fs -j -L "rootfs" ${DRIVE}2
+else
+ if [ -b ${DRIVE}p2 ]; then
+ mke2fs -j -L "rootfs" ${DRIVE}p2
+ else
+ echo "Cant find rootfs partition in /dev"
+ fi
+fi
+
diff --git a/contrib/angstrom/sort.sh b/contrib/angstrom/sort.sh
index a84a206939..e372d45afc 100755
--- a/contrib/angstrom/sort.sh
+++ b/contrib/angstrom/sort.sh
@@ -48,13 +48,13 @@ case "$arch" in
"armv4t")
machines="micro2440 ep93xx h6300 om-gta01 om-gta02 fic-gta01 fic-gta02" ;;
"armv5te")
- machines="hawkboard da850-omapl138-evm da830-omapl137-evm htcalpine dm6446-evm dm6467-evm dm355-evm dm365-evm dm357-evm topas910 sheevaplug openrd-client dm355-leopard n2100 dns323 mv2120 kuropro lspro tsx09 ts409 davinci-dvevm davinci-sffsdr neuros-osd neuros-osd2 gumstix-connex gumstix-verdex gumstix e680 a780 a1200 at91sam9263ek rokre6 rokre2 rokr-e2 akita c7x0 h2200 h3900 h4000 h5000 htcapache htctornado htcblueangel htcuniversal hx4700 nslu2le hx2000 ixp4xxle magician netbook-pro nokia770 palmt650 palmt680 palmld palmtx palmtt3 palmz72 qemuarm omap5912osk poodle spitz tosa mx27ads at91sam9g20ek mainstone" ;;
+ machines="hawkboard da850-omapl138-evm da830-omapl137-evm htcalpine dm6446-evm dm6467-evm dm6467t-evm dm355-evm dm365-evm dm357-evm topas910 sheevaplug openrd-client dm355-leopard n2100 dns323 mv2120 kuropro lspro tsx09 ts409 davinci-dvevm davinci-sffsdr neuros-osd neuros-osd2 gumstix-connex gumstix-verdex gumstix e680 a780 a1200 at91sam9263ek rokre6 rokre2 rokr-e2 akita c7x0 h2200 h3900 h4000 h5000 htcapache htctornado htcblueangel htcuniversal hx4700 nslu2le hx2000 ixp4xxle magician netbook-pro nokia770 palmt650 palmt680 palmld palmtx palmtt3 palmz72 qemuarm omap5912osk poodle spitz tosa mx27ads at91sam9g20ek mainstone" ;;
"armv5teb")
machines="ixp4xxbe nslu2be" ;;
"armv6-novfp")
machines="htcdiamond htckaiser htcpolaris htcraphael htcvogue" ;;
"armv6")
- machines="bug mx31ads nokia800 " ;;
+ machines="smartq5 bug mx31ads nokia800 " ;;
"armv7")
machines="" ;;
"armv7a")